@set @x=0 /*
@echo off
>nul 2>&1 fsutil dirty query %systemdrive%
if errorlevel 1 start "" cscript //nologo /e:jscript "%~f0" &goto :eof

%~d0
cd %~p0

if exist inet.bak (
  echo Найдена резервная копия inet.dll как inet.bak
  echo Применение патча невозможно
) else (
  echo Создание резервной копии inet.dll как inet.bak ...
  copy inet.dll inet.bak
  echo Поиск и изменение необходимой сигнатуры в inet.dll ...
  sfk.exe rep inet.dll -firsthit -bin /410fb6c4488b4d40/31c0b001488b4d40/ -yes
  if not exist C:\ProgramData\1C\licenses\anyname.lic (
    echo Создание программной лицензии C:\ProgramData\1C\licenses\anyname.lic ...
    echo nrwUMs52ijl4meQQKLIxwj942gvW6QS69/XCpSHL3x0WdKQSV0vQoKMXw6O7OslmGb0eQlJShPWXxTyvb2GEa9QEjr6GGzKqwlxtVL5JAFRyPXmaP8qa0WDCrIy8I/SUTl//1pNkB5U3yzHX/exqVqR/bKF1AHW0H2peJoNy+eHh05Xd1KfyeOHdUzuYd4BP > C:\ProgramData\1C\licenses\anyname.lic
  )
)
pause

goto :eof

*/
var WShell = new ActiveXObject("WScript.Shell");
var Env = WShell.Environment("PROCESS");
var ShellApp = new ActiveXObject("Shell.Application");
ShellApp.ShellExecute(Env("COMSPEC"), ' /k ""' + WScript.ScriptFullName + '""', "", "runas", 1);
